Subject: [AthofSV] FW: This Sunday's Humanist Forum: Immigration

From: "Mark W. Thomas" <[email-masked]>
Date: Fri, 6 Jul 2007 17:20:24 -0700

This Sunday's Humanist Community Forum (at 11am at Mitchell Park Community
Center) is described below.
The Mitchell Park Community is located at 3800 Middlefield Road, Palo Alto,
Just north of Charleston Road.

Jul 8: Immigration

Every newspaper in the country is reporting regularly on the issue of
immigration.  Most have editorialized about it. All levels of government are
forced to deal with it.  Every candidate for public office is asked about
it.  It must be a rare citizen, indeed, who is not affected by it.  Richard
Hobbs, Director of the Office of Human Relations of the County of Santa
Clara, is quite probably uniquely qualified to address the personal,
economic, and political implications of current and proposed immigration
policies.

Next week Humanist Community member Rodger Cryer, Ph.D., will discuss the
Ethics of Creating Chimeric Forms of Life